=== debian/changelog ===
ros-rolling-rmw-connextdds-common (0.8.2-1focal) focal; urgency=high

  * Fix cpplint errors (#69 <https://github.com/ros2/rmw_connextdds/issues/69>)
  * Contributors: Jacob Perron

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rmw-connextdds-common (0.8.1-1focal) focal; urgency=high

  * Add client/service QoS getters. (#67 <https://github.com/rticommunity/rmw_connextdds/issues/67>)
  * Contributors: mauropasse

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 19 Nov 2021 08:00:00 -0000

ros-rolling-rmw-connextdds-common (0.8.0-1focal) focal; urgency=high

  * Update rmw_context_impl_t definition (#65 <https://github.com/ros2/rmw_connextdds/issues/65>)
  * Use the new rmw_dds_common::get_security_files API (#61 <https://github.com/ros2/rmw_connextdds/issues/61>)
  * Contributors: Chris Lalancette, Michel Hidalgo

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 15 Sep 2021 07:00:00 -0000

ros-rolling-rmw-connextdds-common (0.7.0-1focal) focal; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#20 <https://github.com/rticommunity/rmw_connextdds/issues/20>)
  * Support extended signature for message_type_support_callbacks_t::max_serialized_size() from rosidl_typesupport_fastrtps_cpp. (#14 <https://github.com/rticommunity/rmw_connextdds/issues/14>)
  * Update includes after rcutils/get_env.h deprecation. (#55 <https://github.com/rticommunity/rmw_connextdds/issues/55>)
  * Always modify UserObjectQosPolicy regardless of override policy. (#53 <https://github.com/rticommunity/rmw_connextdds/issues/53>)
  * Improved conversion of time values between ROS and DDS formats. (#43 <https://github.com/rticommunity/rmw_connextdds/issues/43>)
  * Allow sharing DomainParticipant with C++ applications. (#25 <https://github.com/rticommunity/rmw_connextdds/issues/25>)
  * Add environment variable to control override of DomainParticipantQos. (#41 <https://github.com/rticommunity/rmw_connextdds/issues/41>)
  * Contributors: Andrea Sorbini, Barry Xu, Christophe Bedard, Miguel Company

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 04 Jun 2021 07:00:00 -0000

ros-rolling-rmw-connextdds-common (0.6.1-1focal) focal; urgency=high

  * Correctly detect empty messages (#33 <https://github.com/rticommunity/rmw_connextdds/issues/33>)
  * Contributors: Andrea Sorbini

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-rmw-connextdds-common (0.6.0-1focal) focal; urgency=high

  * Use rmw_qos_profile_unknown when adding entity to graph (#28 <https://github.com/rticommunity/rmw_connextdds/issues/28>)
  * Resolve issues identified while investigating #21 <https://github.com/rticommunity/rmw_connextdds/issues/21> (#22 <https://github.com/rticommunity/rmw_connextdds/issues/22>)
  * Use Rolling in README's Quick Start
  * Improved implementation of client::is_service_available for Connext Pro
  * Only add request header to typecode with Basic req/rep profile
  * Remove commented/unused code
  * Avoid topic name validation in get_info functions
  * Reduce shutdown period to 10ms
  * Pass HistoryQosPolicy to graph cache
  * Reset error string after looking up type support
  * Remove DDS-based WaitSet implementation
  * Contributors: Andrea Sorbini, Ivan Santiago Paunovic

 -- Andrea Sorbini <asorbini@rti.com>  Sun, 11 Apr 2021 07:00:00 -0000

ros-rolling-rmw-connextdds-common (0.5.0-1focal) focal; urgency=high

  * Merge pull request #13 <https://github.com/rticommunity/rmw_connextdds/issues/13> from Ericsson/unique_network_flows
  * Remove superfluous header inclusion
  * Remove conflicting linkage
  * Further remove feature-based exclusion
  * Remove feature-based exclusion
  * Uncrustify
  * Refactor common API
  * Include required headers if feature is enabled
  * Add conditional compilation support
  * Prefer more generic file name
  * Restrict unique flow endpoint check to versions beyond Foxy
  * Indicate missing support for unique network flows
  * Update branch master to support Rolling only (#15 <https://github.com/rticommunity/rmw_connextdds/issues/15>)
  * Contributors: Ananya Muddukrishna, Andrea Sorbini, William Woodall

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rmw-connextdds-common (0.4.0-1focal) focal; urgency=high

  * Add ability to override of endpoint qos settings based on topic name (Pro).
  * Optimize QoS for reliable large data (Pro).
  * Only trigger data condition if samples were loaned from reader.
  * Alternative WaitSet implementation based on C++ std, selectable at
    compile-time.

 -- Andrea Sorbini <asorbini@rti.com>  Thu, 25 Mar 2021 07:00:00 -0000

ros-rolling-rmw-connextdds-common (0.3.1-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Mon, 15 Mar 2021 07:00:00 -0000

ros-rolling-rmw-connextdds-common (0.3.0-1focal) focal; urgency=high

  * Add <buildtool_export_depend> for ament_cmake.
  * Use default dds.transport.UDPv4.builtin.ignore_loopback_interface.

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 12 Mar 2021 08:00:00 -0000

ros-rolling-rmw-connextdds-common (0.2.1-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 11 Mar 2021 08:00:00 -0000

ros-rolling-rmw-connextdds-common (0.2.0-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 08:00:00 -0000

ros-rolling-rmw-connextdds-common (0.1.1-1focal) focal; urgency=high

  * Don't log an error on WaitSet::wait() timeout.

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 08:00:00 -0000

ros-rolling-rmw-connextdds-common (0.1.0-1focal) focal; urgency=high

  * Initial release.

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 08:00:00 -0000
