## ros-rolling-rmw-connextdds-common 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,9 +38,10 @@
       ${ARGN} # current function arguments
     )
 
-    # Default to C++14
+    # Default to C++17
     if(NOT CMAKE_CXX_STANDARD)
-        set(CMAKE_CXX_STANDARD 14)
+        set(CMAKE_CXX_STANDARD 17)
+        set(CMAKE_CXX_STANDARD_REQUIRED ON)
     endif()
 
     if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
@@ -61,6 +62,11 @@
 
     ament_target_dependencies(${_rti_build_NAME}
         ${_rti_build_DEPS})
+
+    set(_extra_defines)
+    if("${CMAKE_BUILD_TYPE}" MATCHES "[dD]ebug")
+      list(APPEND _extra_defines "RMW_CONNEXT_DEBUG=1")
+    endif()
 
     target_compile_definitions(${_rti_build_NAME}
         PUBLIC
@@ -69,6 +75,7 @@
             RMW_VERSION_PATCH=${rmw_VERSION_PATCH}
             RMW_CONNEXT_DDS_API=RMW_CONNEXT_DDS_API_${_rti_build_API}
             ${_rti_build_DEFINES}
+            ${_extra_defines}
     )
 
     set(private_defines)
@@ -132,6 +139,7 @@
     src/common/rmw_impl.cpp
     src/common/rmw_impl_waitset_std.cpp
     src/common/rmw_info.cpp
+    src/common/rmw_listener.cpp
     src/common/rmw_node.cpp
     src/common/rmw_publication.cpp
     src/common/rmw_qos.cpp
@@ -187,6 +195,9 @@
     if("${CONNEXTDDS_VERSION}" VERSION_LESS "6.0.0")
       list(APPEND extra_defines "RMW_CONNEXT_DDS_API_PRO_LEGACY=1")
     endif()
+    if(CONNEXTDDS_ARCH MATCHES ".*Win.*")
+      list(APPEND extra_defines "RMW_CONNEXT_BUILTIN_CFT_COMPATIBILITY_MODE=1")
+    endif()
     rtirmw_add_library(
         NAME      ${PROJECT_NAME}_pro
         API       PRO
@@ -195,8 +206,10 @@
                   src/ndds/rmw_type_support_ndds.cpp
                   src/ndds/rmw_typecode.cpp
                   src/ndds/dds_api_ndds.cpp
+                  src/ndds/custom_sql_filter.cpp
                   include/rmw_connextdds/typecode.hpp
                   include/rmw_connextdds/dds_api_ndds.hpp
+                  include/rmw_connextdds/custom_sql_filter.hpp
         DEPS      ${RMW_CONNEXT_DEPS}
         LIBRARIES RTIConnextDDS::c_api
         DEFINES   ${extra_defines})
