=== debian/changelog ===
ros-rolling-rmw-connextdds-common (0.17.0-1jammy) jammy; urgency=high

  * Fix RMW_Connext_Client::is_service_available for micro (#130 <https://github.com/ros2/rmw_connextdds/issues/130>)
  * Update to C++17 (#125 <https://github.com/ros2/rmw_connextdds/issues/125>)
  * Pass parameters in the correct order to DDS_DataReader_read in rmw_connextdds_count_unread_samples for micro (#129 <https://github.com/ros2/rmw_connextdds/issues/129>)
  * Optimize QoS to improve responsiveness of reliable endpoints (#26 <https://github.com/ros2/rmw_connextdds/issues/26>)
  * Clear out errors once we have handled them. (#126 <https://github.com/ros2/rmw_connextdds/issues/126>)
  * Contributors: Andrea Sorbini, Chris Lalancette, Christopher Wecht

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rmw-connextdds-common (0.16.0-1jammy) jammy; urgency=high

  * Add support for listener callbacks (#76 <https://github.com/ros2/rmw_connextdds/issues/76>)
  * Contributors: Andrea Sorbini

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rmw-connextdds-common (0.15.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rmw-connextdds-common (0.15.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-rmw-connextdds-common (0.14.0-1jammy) jammy; urgency=high

  * [rmw_connextdds] New RMW discovery options (#108 <https://github.com/ros2/rmw_connextdds/issues/108>)
  * Call get_type_hash_func (#113 <https://github.com/ros2/rmw_connextdds/issues/113>)
  * Type hash distribution during discovery (rep2011) (#104 <https://github.com/ros2/rmw_connextdds/issues/104>)
  * Implement matched event (#101 <https://github.com/ros2/rmw_connextdds/issues/101>)
  * Add in implementation of inconsistent topic. (#103 <https://github.com/ros2/rmw_connextdds/issues/103>)
  * Contributors: Barry Xu, Chris Lalancette, Emerson Knapp, Grey, Michael Carroll

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rmw-connextdds-common (0.13.0-1jammy) jammy; urgency=high

  * Add rmw_get_gid_for_client impl (#92 <https://github.com/ros2/rmw_connextdds/issues/92>)
  * Contributors: Brian

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rmw-connextdds-common (0.12.1-1jammy) jammy; urgency=high

  * Fix assert statement to allow the seconds field of a DDS_Duration_t to be zero (#88 <https://github.com/ros2/rmw_connextdds/issues/88>)
  * Contributors: Michael Jeronimo

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rmw-connextdds-common (0.12.0-1jammy) jammy; urgency=high

  * Handle 'best_available' QoS policies in common  (#85 <https://github.com/ros2/rmw_connextdds/issues/85>)
  * Contributors: Jose Luis Rivero

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 03 May 2022 00:00:00 -0000

ros-rolling-rmw-connextdds-common (0.11.1-1jammy) jammy; urgency=high

  * Resolve build error with RTI Connext DDS 5.3.1 (#82 <https://github.com/ros2/rmw_connextdds/issues/82>)
  * Contributors: Andrea Sorbini

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 26 Apr 2022 00:00:00 -0000

ros-rolling-rmw-connextdds-common (0.11.0-1jammy) jammy; urgency=high

  * Exclude missing sample info fields when building rmw_connextddsmicro (#79 <https://github.com/ros2/rmw_connextdds/issues/79>)
  * Properly initialize CDR stream before using it for filtering (#81 <https://github.com/ros2/rmw_connextdds/issues/81>)
  * Contributors: Andrea Sorbini

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-rmw-connextdds-common (0.10.0-1jammy) jammy; urgency=high

  * Add support for user-specified content filters (#68 <https://github.com/ros2/rmw_connextdds/issues/68>)
  * add stub for content filtered topic (#77 <https://github.com/ros2/rmw_connextdds/issues/77>)
  * Add sequence numbers to message info structure (#74 <https://github.com/ros2/rmw_connextdds/issues/74>)
  * Contributors: Andrea Sorbini, Chen Lihui, Ivan Santiago Paunovic

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-rmw-connextdds-common (0.9.0-1jammy) jammy; urgency=high

  * Add rmw listener apis (#44 <https://github.com/rticommunity/rmw_connextdds/issues/44>)
  * Contributors: iRobot ROS

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rmw-connextdds-common (0.8.3-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 10 Feb 2022 00:00:00 -0000

ros-rolling-rmw-connextdds-common (0.8.2-1jammy) jammy; urgency=high

  * Fix cpplint errors (#69 <https://github.com/ros2/rmw_connextdds/issues/69>)
  * Contributors: Jacob Perron

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-rmw-connextdds-common (0.8.1-1jammy) jammy; urgency=high

  * Add client/service QoS getters. (#67 <https://github.com/rticommunity/rmw_connextdds/issues/67>)
  * Contributors: mauropasse

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 19 Nov 2021 00:00:00 -0000

ros-rolling-rmw-connextdds-common (0.8.0-1jammy) jammy; urgency=high

  * Update rmw_context_impl_t definition (#65 <https://github.com/ros2/rmw_connextdds/issues/65>)
  * Use the new rmw_dds_common::get_security_files API (#61 <https://github.com/ros2/rmw_connextdds/issues/61>)
  * Contributors: Chris Lalancette, Michel Hidalgo

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 15 Sep 2021 00:00:00 -0000

ros-rolling-rmw-connextdds-common (0.7.0-1jammy) jammy; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#20 <https://github.com/rticommunity/rmw_connextdds/issues/20>)
  * Support extended signature for message_type_support_callbacks_t::max_serialized_size() from rosidl_typesupport_fastrtps_cpp. (#14 <https://github.com/rticommunity/rmw_connextdds/issues/14>)

